using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface ITablewareLogic
    {
        List<TablewareViewModel>? ReadList(TablewareSearchModel? model);
        TablewareViewModel? ReadElement(TablewareSearchModel model);
        bool Create(TablewareBindingModel model);
        bool Update(TablewareBindingModel model);
        bool Delete(TablewareBindingModel model);
    }
}
